/* font-family: 'Allison', cursive;
font-family: 'Raleway', sans-serif; */

* {
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
}
header {
    background-color: black;
    padding: 0 90px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
}
nav{
    align-self: center;
    display: flex;
}
nav a {
    color: white;
    text-decoration: none;
    text-transform: uppercase;
    padding: 3px 9px;

}

nav a:hover {
    color: orange;
}
#hero img{
   max-height: 100%;
   min-width: 100%;
   object-fit: cover;
   vertical-align: bottom;
}
article {
    background-color: purple;
    flex: 1 1 250px;
    margin-bottom: 20px;
    height: 280px;
    padding: 15px;
    display: flex;
    flex-direction: column;
}
article span{
    flex-grow: 1;
    text-align: center;
}
#features{
    padding: 50px 90px;
    
}

#features div{
    display: flex;
    column-gap: 20px;
    row-gap: 20px;
    justify-content: center;
    flex-wrap: wrap;
}

h1 {
    font-family: 'Allison', cursive;
    font-size: 75px;
    color: orange;

}
h2 {
    font-family: 'Allison', cursive;
    font-size: 60px;
    color: white;
}
h3 {
    font-family: 'Allison', cursive;
    font-size: 80px;
    color: orange;
    text-align: center;
}
h4 {
    font-family: 'Allison', cursive;
    font-size: 60px;
    color: rgb(255, 255, 255);
    flex-grow: 1;
}

h5 {
    color: purple;
    font-size: 18px;
    text-transform: uppercase;
    font-weight: 700;
}

p {
    color: rgb(235, 226, 245);
}
i {
    font-size: 50px;
    color: orange;
}
article a {
    background-color: white;
    color: purple;
    text-decoration: none;
    text-transform: uppercase;
    padding: 3px 9px;
    align-self: center;
}
#gallery {
    background-color: black;
    padding: 40px 90px;
}
#gallery h2{
    text-align: center;
}
#gallery div{
    display: flex;
    flex-wrap: wrap;
    column-gap: 10px;
    row-gap: 10px;
    justify-content: center;
}
#gallery img{
    flex: 1 1 230px;
}
footer {
    background-color: orange;
    padding: 20px 90px;
    display: flex;
    column-gap: 20px;
    flex-wrap: wrap;
    justify-content: flex-end;
    row-gap: 20px;
}
footer h4{
    flex-grow: 1;
}
footer i {
    font-size: 30px;
    color: white;
}
.icons{
    align-self: center;
}
.toggle {
    display: none;
    align-self: center;
    }
    
    .active {
    display: flex;
    }
    
    /* the following rule will style the bars */
    i.fa-bars {
    color: white;
    font-size: 30px;
    align-self: center;
    }


/* tablet styles */
@media (max-width: 825px) {
    
   #features div{
    padding-bottom: 50px;
   }
    body{
        background-color: rgb(43, 17, 2) ;
    }
    nav{
        flex-direction: column;
    }
    header{
        padding: 10px 30px;
    }
    h1{
        font-size: 60px;
    }
    h3{
        font-size: 66px;
        margin-top: 50px;
    }
    article{
        background-color: purple;
        flex: 0 0 350px;
        margin-bottom: 20px
        height: 308px
        padding: 15px;
        display: flex;
        flex-direction: column;
    }
    #features{
        padding: 0 40px;
    }
    #gallery{
        background-color: black;
        padding: 40px 50px;
    }
    footer{
    background-color: orange;
    padding: 20px 42px;
    display: flex;
    column-gap: 20px;
    flex-wrap: wrap;
    justify-content: flex-start;
    row-gap: 20px;
    }
    nav{
        flex-direction: column;
    }
}


/* rules for toggle navigation */
@media(max-width: 700px) {
    .toggle {
        display: block; 
        align-self: center;
        }

    nav{
        flex: 100%;
        display: none;
        text-align: center;
        row-gap: 8px;
        }

    h4{
        font-family: 'Allison', cursive;
        font-size: 60px;
        color: rgb(255, 255, 255);
        flex-grow: 1;
        flex: 100%;
    }
}


/* mobile styles */
@media (max-width: 450px) {
    body{
        background-color: rgb(212, 206, 214);
    }
    #features{
        padding: 0 32px;
    }
    h3{
        font-family: 'Allison', cursive;
        font-size: 50px;
        color: rgb(190, 124, 0);
        text-align: center;
        margin-top: 40px;
    }
    article{
        background-color: purple;
        flex: 100%;
        margin-bottom: 20px;
        height: 308px;
        padding: 15px;
        display: flex;
        flex-direction: column;
    }
    #gallery{
        background-color: black;
        padding: 40px 35px;
    }
    nav{
        flex-direction: row;
    }
    footer span:last-of-type{
        flex: 100%;
    }
    footer{
        justify-content: center;
    }
    footer span{
        text-align: center;
    }
    footer h4{
        text-align: center;
    }
}

